<!DOCTYPE html>
<html dir="ltr" lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0"
    />
    <title>Mo core testing</title>
    <script type="module" src="/build/mo-core-components.esm.js"></script>
    <script nomodule src="/build/mo-core-components.js"></script>
  </head>
  <body>
    <mo-tabs tabs-align="left">
      <mo-tab-label slot="label" name="tab1">Línea de crédito </mo-tab-label>
      <mo-tab-label slot="label" name="tab2">Tab 2</mo-tab-label>
      <mo-tab-body slot="body" name="tab1">
        <mo-credit-card
          card-title="Credit Card"
          card-number="5642624706465968"
          current-balance-title="Current Balance"
          current-balance-value="$10.000"
          franchise-icon-url="https://www.mastercard.com/content/dam/public/brandcenter/assets/images/logos/mclogo-for-footer.svg"
          gradient-background="visa-black"
        ></mo-credit-card
      ></mo-tab-body>
      <mo-tab-body slot="body" name="tab2">
        <mo-credit-card
          card-title="Credit Card"
          card-number="5642624706467890"
          current-balance-title="Current Balance"
          current-balance-value="$7.000"
          franchise-icon-url="https://www.mastercard.com/content/dam/public/brandcenter/assets/images/logos/mclogo-for-footer.svg"
          gradient-background="visa"
        ></mo-credit-card
      ></mo-tab-body>
    </mo-tabs>
    <mo-side-modal is-open="true"></mo-side-modal>
    <script>
      document.addEventListener('closeModal', function hideMenu(e) {
        document
          .getElementsByTagName('mo-side-menu')[0]
          .setAttribute('is-open', 'false');
        console.log('Event Recieved');
      });
    </script>
  </body>
</html>
